Page MenuHomePhabricator

Show/hide diff parts of edit merge screen
Closed, ResolvedPublic8 Story Points

Description

Task:
Allow the users to select between showing only their, only the conflicting, or both changes in the left text field.
This means:

  • Below the subtitle of the "Conflicting Changes" section there is a selection option which changes are shown
    • Title: Show changes
    • Options: mine, currently published, both
    • The option titles should have a background color that corresponds to the change background colors
  • When a user selects mine, only their changes are being shown in the diff parts. When a user selects currently published, only the other party's changes are shown. Both is the default
  • Ideally, there is a version without page reload for people with js, and a version with page reload for people without js.

Mock:
See also the mock for a general idea.

Background:
This is part of fulfilling wish #1 of the German-speaking community wishlist 2015 (T143823).
The solution is a result of on-wiki discussion and Wikimania 2016 sessions and testings, as well as feedback we received to the prototype.

Event Timeline

Lea_WMDE created this task.Aug 24 2016, 7:51 PM
Lea_WMDE renamed this task from Show/hide text versions on edit merge screen to Show/hide diff parts of edit merge screen.Sep 2 2016, 3:31 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 8.
Lea_WMDE updated the task description. (Show Details)Sep 2 2016, 3:40 PM
Lea_WMDE updated the task description. (Show Details)Sep 12 2016, 1:56 PM
WMDE-leszek triaged this task as Normal priority.Oct 18 2016, 12:45 PM
Andrew-WMDE moved this task from Proposed to Sprint ready on the WMDE-QWERTY-Team board.

Change 331993 merged by jenkins-bot:
Filter diffs on edit merge screen by publisher

https://gerrit.wikimedia.org/r/331993

Tobi_WMDE_SW closed this task as Resolved.Feb 10 2017, 10:56 AM
Tobi_WMDE_SW moved this task from Sprint ready to Currently in sprint on the WMDE-QWERTY-Team board.
Tobi_WMDE_SW moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Feb 14 2017, 3:20 PM